package com.bcxin.risk.report.enums;

/**
 * 快递公司
 * @author luopeng
 *
 */
public enum ExpressCompany {
	
	SF{public String getValue(){return "1";} public String getName(){return "顺丰快递";}},
	
	YTO{public String getValue(){return "5";} public String getName(){return "圆通快递";}},
	
	STO{public String getValue(){return "10";} public String getName(){return "申通快递";}},
	
	YUNDA{public String getValue(){return "15";} public String getName(){return "韵达快递";}},
	
	ZTO{public String getValue(){return "20";} public String getName(){return "中通快递";}},
	
	TTK{public String getValue(){return "25";} public String getName(){return "天天快递";}},
	
	BEST{public String getValue(){return "30";} public String getName(){return "汇通快递";}},
	
	FedEx{public String getValue(){return "35";} public String getName(){return "联邦";}},
	
	ZJS{public String getValue(){return "40";} public String getName(){return "宅急送";}},
	
	EMS{public String getValue(){return "45";} public String getName(){return "EMS";}}; 

    public abstract String getValue();
    
    public abstract String getName();
    
    public static ExpressCompany convert_value(String value){
    	
    	if ( "1".equals(value) ) {
    		return ExpressCompany.SF;
    	} else if ( "5".equals(value) ) {
    		return ExpressCompany.YTO;
    	} else if ("10".equals(value)) {
    		return ExpressCompany.STO;
    	} else if ("15".equals(value)) {
    		return ExpressCompany.YUNDA;
    	} else if ("20".equals(value)) {
    		return ExpressCompany.ZTO;
    	} else if ("25".equals(value)) {
    		return ExpressCompany.TTK;
    	} else if ("30".equals(value)) {
    		return ExpressCompany.BEST;
    	} else if ("35".equals(value)) {
    		return ExpressCompany.FedEx;
    	} else if ("40".equals(value)) {
    		return ExpressCompany.ZJS;
    	} else if ("45".equals(value)) {
    		return ExpressCompany.EMS;
    	} 
    	return null;
    }
 
}
